Demio currently supports the Google Chrome, Firefox, and Internet Explorer browsers. One of our major focuses right now is expanding our Browser support; we plan to expand to Safari and Edge soon.

Here are the minimum version requirements for each browser:
Chrome v.55
Firefox v.49
Internet Explorer v.11

Note: Coordinators (Webinar hosts/presenters) can only run webinars using Google Chrome at the moment, but attendees can use all of the current supported browsers to attend webinars.

Did this answer your question?